A Simple Lisp: Plot, Select Pr
I do this routine roughly a hundred and 183 thousand times a day and it just occurred to me...why not try to see if I can find a lisp for it so that I can do it with a simple command.Again these are the steps that I'm trying to achieve:Plot, Select Printer, Paper Size (11x17), Plot Extents, Center the Plot, Click OK
Does anyone know of a Lisp that already exists for this type of function or a way of going about creating one?
For extra credit, all the same functions, but Print to PDF.
Would greatly appreciate any help with this.Thanks. Have you ever used sheet set manager and defined pagesetups .. that would save you a ton of time. That sounds moderately familiar...but then again I forget so many things.To the Google for a refresher! Jim,
Modify this.
;;; PrintPDF1824(defun c:pdf1824 (/ ss mn mx) (vl-load-com) (if (setq ss(ssget "_:S:E" '((0 . "INSERT,LWPOLYLINE")))) (progn (vla-getboundingbox (vlax-ename->vla-object (ssname ss 0)) 'mn'mx) (command "plot" "yes" "model" "Your PDF.pc3" "ARCH C (18 x 24 in)" "inches" "Landscape" "no" "Window" (trans (vlax-safearray->list mn) 0 1) (trans (vlax-safearray->list mx) 0 1) "fit" "center" "yes" "YOUR.ctb""yes" "no" "no" "yes" "yes") ) ) ) Jim,
Modify this one. this does multiple copies.
;;; Printpage24X18(defun c:prp24 (/ ss mn mx) (vl-load-com)(pltnum) (if (setq ss(ssget "_:S:E" '((0 . "INSERT,LWPOLYLINE")))) (progn (vla-getboundingbox (vlax-ename->vla-object (ssname ss 0)) 'mn'mx) (repeat xplta (command "plot" "yes" "model" "Your.pc3" "18x24(ARCH C)" "inches" "LANDSCAPE" "no" "Window" (trans (vlax-safearray->list mn) 0 1) (trans (vlax-safearray->list mx) 0 1) "fit" "center" "yes" "Your.ctb""yes" "no" "no" "yes" "yes") ) ) ))(defun pltnum ()(setq numplt (getint "\nEnter Number of Plots : "))(if (= numplt nil) (setq xplt 1) (setq xplt numplt))(if ( Jim,
Here is a file with multiple print lisp routines to modify.
Brian
Print lisp.lsp Try using this:
Revers - Automatic batch printing a multiple format (rectangles, frames) of model space and layouts. I think Maratovich is the winner, we have 3 preset via a menu colour pdf b-w etc all plot a range of layouts here is the pdf for your info, also plots single sheets but end using ghostscript joins the pdf's into one.
plotA3Pdfrange2.lsp
GETVALS3.lsp Post a sample drawing of what you're trying to plot. I'd still bet that sheet sets would be your ticket. That was more of a response than I was anticipating.Going to need a minute to run through these.Thanks.
页:
[1]